Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class GridView

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.grid.GridView

Direct Known Subclasses:
  GroupingView

    public class GridView

extends JsObject

A Grid's View class.

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `configJS`

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`GridView()` Constructs a new GridView.
`GridView(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`void` | `fitColumns(boolean reserveScrollSpace)` Autofits all columns to the grid's width proportionate with their current size.
`void` | `focusCell(int rowIndex, int colIndex, boolean hscroll)` Focuses the specified cell.
`void` | `focusRow(int rowIndex)` Focusses the specified row.
`com.google.gwt.user.client.Element` | `getCell(int rowIndex, int colIndex)` Returns a cells element.
`java.lang.String` | `getEmptyText()` Returns the default text to display in the grid body when no rows are available (defaults to '').
`com.google.gwt.user.client.Element` | `getHeaderCell(int index)` Return the header cell.
`com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
`com.google.gwt.user.client.Element` | `getRow(int index)` Returns the row element.
`java.lang.String` | `getRowClass(Record record, int index, RowParams rowParams, Store store)` Override this function to apply custom css classes to rows during rendering.
`void` | `refresh()` Refreshes the grid.
`void` | `refresh(boolean headersToo)` Refreshes the grid.
`void` | `refreshRow(int index)` Refresh a row.
`void` | `refreshRow(Record record)` The record to refresh.
`void` | `scrollToTop()` Scrolls the grid to the top.
`void` | `setAutoFill(boolean autoFill)` True to auto expand the columns to fit the grid when the grid is created.
`void` | `setEmptyText(java.lang.String emptyText)` Default text to display in the grid body when no rows are available (defaults to '').
`void` | `setEnableRowBody(boolean enableRowBody)` True to add a second TR element per row that can be used to provide a row body that spans beneath the data row.
`void` | `setForceFit(boolean forceFit)` True to auto expand/contract the size of the columns to fit the grid width and prevent horizontal scrolling.
`void` | `setScrollOffset(int scrollOffset)` The amount of space to reserve for the scrollbar (defaults to 19 pixels).
`void` | `updateHeaderSortState()` Update the headers sort state.

Methods inherited from class com.gwtext.client.core.JsObject
`getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configJS

    protected com.google.gwt.core.client.JavaScriptObject configJS

Constructor Detail

### GridView

    public GridView(com.google.gwt.core.client.JavaScriptObject jsObj)

### GridView

    public GridView()

  Constructs a new GridView.

Method Detail

### getJsObj

    public com.google.gwt.core.client.JavaScriptObject getJsObj()

  Overrides:
    `getJsObj` in class `JsObject`

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

### refresh

    public void refresh()

  Refreshes the grid.

### refresh

    public void refresh(boolean headersToo)

  Refreshes the grid.

  Parameters:
    `headersToo` - true to refresh the headers too

### getRowClass

    public java.lang.String getRowClass(Record record,
                                        int index,
                                        RowParams rowParams,
                                        Store store)

  Override this function to apply custom css classes to rows during rendering.

  Parameters:
    `record` - the record for the row
    `index` - the row index
    `rowParams` - row class passed to the method to support custom row rendering
    `store` - the grids store
  Returns:
    the row CSS class

### refreshRow

    public void refreshRow(int index)

  Refresh a row.

  Parameters:
    `index` - the row to refresh

### refreshRow

    public void refreshRow(Record record)

  The record to refresh.

  Parameters:
    `record` - the record

### scrollToTop

    public void scrollToTop()

  Scrolls the grid to the top.

### getHeaderCell

    public com.google.gwt.user.client.Element getHeaderCell(int index)

  Return the header cell.

  Parameters:
    `index` - header index
  Returns:
    the header cell

### getRow

    public com.google.gwt.user.client.Element getRow(int index)

  Returns the row element.

  Parameters:
    `index` - row index
  Returns:
    the row element

### getCell

    public com.google.gwt.user.client.Element getCell(int rowIndex,
                                                      int colIndex)

  Returns a cells element.

  Parameters:
    `rowIndex` - the row index
    `colIndex` - the column index
  Returns:
    the cell element

### focusRow

    public void focusRow(int rowIndex)

  Focusses the specified row.

  Parameters:
    `rowIndex` - the row index

### focusCell

    public void focusCell(int rowIndex,
                          int colIndex,
                          boolean hscroll)

  Focuses the specified cell.

  Parameters:
    `rowIndex` - the row index
    `colIndex` - the column index
    `hscroll` - false to disable horizontal scrolling

### fitColumns

    public void fitColumns(boolean reserveScrollSpace)

  Autofits all columns to the grid's width proportionate with their current size.

  Parameters:
    `reserveScrollSpace` - reserve space for a scrollbar

### updateHeaderSortState

    public void updateHeaderSortState()

  Update the headers sort state.

### setAutoFill

    public void setAutoFill(boolean autoFill)

  True to auto expand the columns to fit the grid when the grid is created.

  Parameters:
    `autoFill` - true to auto expand the columns to fit the grid when the grid is created.

### setEmptyText

    public void setEmptyText(java.lang.String emptyText)

  Default text to display in the grid body when no rows are available (defaults to '').

  Parameters:
    `emptyText` - default text to display in the grid body when no rows are available (defaults to '').

### getEmptyText

    public java.lang.String getEmptyText()

  Returns the default text to display in the grid body when no rows are available (defaults to '').

  Returns:
    emptyText

### setEnableRowBody

    public void setEnableRowBody(boolean enableRowBody)

  True to add a second TR element per row that can be used to provide a row body that spans beneath the data row. Use the getRowClass method's rowParams config to customize the row body

  Parameters:
    `enableRowBody` - true to add a second TR element per row that can be used to provide a row body that spans beneath the data row.

### setForceFit

    public void setForceFit(boolean forceFit)

  True to auto expand/contract the size of the columns to fit the grid width and prevent horizontal scrolling.

  Parameters:
    `forceFit` - true to force fit

### setScrollOffset

    public void setScrollOffset(int scrollOffset)

  The amount of space to reserve for the scrollbar (defaults to 19 pixels).

  Parameters:
    `scrollOffset` - the scroll offset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD